Last Comment Bug 834344 - Cannot make in-app payment
: Cannot make in-app payment
Status: RESOLVED FIXED
p=3
:
Product: Marketplace
Classification: Server Software
Component: Payments/Refunds (show other bugs)
: 1.1
: x86 Mac OS X
: P1 normal (vote)
: 2013-01-31
Assigned To: Kumar McMillan [:kumar] (needinfo all the things)
:
Mentors:
Depends on:
Blocks: marketplace-payments
  Show dependency treegraph
 
Reported: 2013-01-24 10:31 PST by Kumar McMillan [:kumar] (needinfo all the things)
Modified: 2013-02-01 14:52 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot of no one registered (149.13 KB, image/png)
2013-01-24 10:31 PST, Kumar McMillan [:kumar] (needinfo all the things)
no flags Details

Description Kumar McMillan [:kumar] (needinfo all the things) 2013-01-24 10:31:00 PST
Created attachment 705954 [details]
screenshot of no one registered

STR:
- Submit the in-app tester (http://inapp-pay-test.farmdev.com/manifest.webapp)
- Mark it as paid, set up payments, check the box for in-app payments
- Mark it as public, view the listing and install it
- Launch the app
- Click the button to make an in-app payment

Expected: the pay flow should begin

Actual: there is an error on the first screen, something like No one has been registered for JWT issuer <issuer>
Comment 1 Kumar McMillan [:kumar] (needinfo all the things) 2013-01-24 10:31:54 PST
I saw this on both dev and locally, looking into it...
Comment 3 Kumar McMillan [:kumar] (needinfo all the things) 2013-01-30 10:59:11 PST
One more https://github.com/mozilla/webpay/commit/d10af52135d1edd31cce3e707f1255f40cd8c3a3
Comment 4 Andy McKay [:andym] 2013-01-30 11:25:01 PST
Kumar to verify.
Comment 5 Kumar McMillan [:kumar] (needinfo all the things) 2013-01-30 17:00:56 PST
Fixed an issue where the in-app config was querying solitude wrong https://github.com/mozilla/zamboni/commit/40ac811
Comment 6 Kumar McMillan [:kumar] (needinfo all the things) 2013-01-30 17:52:55 PST
still fixing a few more bugs
Comment 7 Kumar McMillan [:kumar] (needinfo all the things) 2013-01-30 18:05:29 PST
Fixed public_id filtering https://github.com/mozilla/solitude/commit/f4b6d9bee5a5a47943601d2b6c48903487d8570d
Comment 8 Kumar McMillan [:kumar] (needinfo all the things) 2013-01-31 14:55:09 PST
We're close on this but it's still not working. It still returns ResponseCode=NOT_SUPPORTED
Comment 9 Kumar McMillan [:kumar] (needinfo all the things) 2013-01-31 18:42:00 PST
ZOMG I JUST MADE THE FIRST IN-APP PAYMENT EVER AND IT WORKED
Comment 10 Wil Clouser [:clouserw] 2013-02-01 14:52:35 PST
Behold, we now live in the era After Payments.

Note You need to log in before you can comment on or make changes to this bug.